> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a message

> Update a message



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /messages/{messageId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /messages/{messageId}:
    put:
      tags:
        - Messages
      summary: Update a message
      description: Update a message
      operationId: UpdateMessage
      parameters:
        - in: path
          name: messageId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMessageDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    UpdateMessageDto:
      properties:
        user:
          type: string
        session:
          type: string
        bot:
          type: boolean
        fallbackUser:
          $ref: '#/components/schemas/FallbackUserDto'
        messageRef:
          type: string
        ticket:
          type: string
        data: {}
        translatedData: {}
        type:
          type: string
        emailId:
          type: string
        sessionNotificationsUnread:
          type: boolean
        outbound:
          type: string
        outboundTemplate:
          type: string
        outboundSubject:
          type: string
        status: {}
        statusHistory:
          items: {}
          type: array
        comment: {}
        replyTo:
          type: string
        kaiChat:
          type: boolean
        aiData: {}
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentDto'
          type: array
        actions:
          items:
            properties:
              data: {}
              type:
                type: string
            required:
              - type
            type: object
          type: array
        channel:
          $ref: '#/components/schemas/ChannelDto'
        sendToChannel:
          type: boolean
        isNote:
          type: boolean
        rating:
          type: string
      type: object
      additionalProperties: false
    FallbackUserDto:
      properties:
        username:
          type: string
        email:
          type: string
        imageUrl:
          type: string
      type: object
      additionalProperties: false
    AttachmentDto:
      properties:
        name:
          type: string
        url:
          type: string
        type:
          type: string
      required:
        - name
        - url
      type: object
      additionalProperties: false
    ChannelDto:
      properties:
        id:
          type: string
        type:
          type: string
        messageId:
          type: string
      required:
        - id
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````